API Reference
Availablespace Segment
Check if there is space available for a specific segment to be allocated. Used when a segment is coordinated before trying to allocate it.
POST
/
v1
/
segments
/
{segment}
:segmentAvailableSpace
Availablespace Segment
curl --request POST \
--url https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queryParams": {
"targeting": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exclusivityTags": [
"<string>"
],
"exclusiveTo": [
"<string>"
]
}
}
'import requests
url = "https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace"
payload = { "queryParams": {
"targeting": {
"criteria": [{}],
"expression": {
"ref": "<string>",
"not": {},
"and": { "operands": [{}] },
"or": { "operands": [{}] }
}
},
"exclusivityTags": ["<string>"],
"exclusiveTo": ["<string>"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queryParams: {
targeting: {
criteria: [{}],
expression: {ref: '<string>', not: {}, and: {operands: [{}]}, or: {operands: [{}]}}
},
exclusivityTags: ['<string>'],
exclusiveTo: ['<string>']
}
})
};
fetch('https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availableSpace": {
"value": "<string>"
},
"relatedSegments": [
"<string>"
],
"reclaimableSpace": [
{}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Parameters to query the segment by
Show child attributes
Show child attributes
Response
200 - application/json
OK
The amount of space available to the segment.
Show child attributes
Show child attributes
The resource names of segments that coordinate with the current segment.
The amount of space that would be returned if a specific segment is archived.
The key is the resource name of the segment. The value is the amount of space reclaimed.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Availablespace Segment

